function init()
	radio = FindShape("radio")
	screen = FindScreen("screen")
	
	radioSong = LoadLoop("MOD/main/props/theme.ogg")
	tvOn = false
end

function tick(dt)
	broken = IsShapeBroken(radio)
	
	if not broken then
		if GetPlayerInteractShape() == radio and InputPressed("interact") then
			if not tvOn then
				SetScreenEnabled(screen, true)
				tvOn = true
			else
				SetScreenEnabled(screen, false)
				tvOn = false
			end
		end
		
		if not tvOn then
			SetTag(radio, "interact", "Turn on")
		else
			SetTag(radio, "interact", "Turn off")
			PlayLoop(radioSong)
		end
	else
		RemoveTag(radio, "interact")
	end
end